| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Attributes | List of all members
ZDataPack Class Reference
General

Base class for all DataPack implementations with a ZDomain. The ZDomain may apply to the datapack space (axis/axes), or to the values stored in the underlying values of the datapack The zDomain() might not be relevant in a very small minority of the datapacks, like in an F-K spectrum, but it will still be set. Will default to SI().zDomainInfo() if not set. More...

`#include <datapackbase.h>`

Inheritance diagram for ZDataPack:
[legend]

## Public Member Functions
ZDataPack & | setZDomain (const ZDataPack &)
virtual ZDataPack & | setZDomain (const ZDomain::Info &)
virtual const ZDomain::Info & | zDomain () const
bool | zInFeet () const
bool | zInMeter () const
bool | zIsTime () const
const UnitOfMeasure * | zUnit () const
Public Member Functions inherited from DataPack
virtual const char * | category () const
virtual void | dumpInfo (StringPairSet &) const
FullID | fullID (DataPackMgrID mgrid) const
DataPackID | id () const
virtual bool | isOK () const
virtual float | nrKBytes () const =0
DataPack * | obtain ()
void | release ()
Threads::Lock & | updateLock () const
Public Member Functions inherited from SharedObject
| SharedObject (const char *nm=nullptr)
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Protected Member Functions
| ZDataPack (const char *categry)
| ZDataPack (const ZDataPack &)
| ~ZDataPack ()
const ZDomain::Info & | zDomain (bool display) const
const UnitOfMeasure * | zUnit (bool display) const
Protected Member Functions inherited from DataPack
| DataPack (const char *categry)
| DataPack (const DataPack &)
| ~DataPack ()
void | setCategory (const char *c)
void | setManager (const DataPackMgr *)
Protected Member Functions inherited from SharedObject
| ~SharedObject ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Private Attributes
const ZDomain::Info * | zdomaininfo_

## Additional Inherited Members
Public Types inherited from DataPack
using | ID = DataPackID
using | MgrID = DataPackMgrID
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from DataPack
static DataPackID | cNoID ()
static DataPackID | cUdfID ()
static DataPackID | getID (const FullID &fid)
static const char * | sKeyCategory ()
Static Public Member Functions inherited from SharedObject
static Notifier< SharedObject > & | instanceCreated ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)
Static Protected Member Functions inherited from DataPack
static DataPackID | getNewID ()
| ensures a global data pack ID
static float | sKb2MbFac ()
| 1 / 1024
Protected Attributes inherited from DataPack
const BufferString | category_
const DataPackID | id_
const DataPackMgr * | manager_ = nullptr
Threads::Lock | updatelock_
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Detailed Description

Base class for all DataPack implementations with a ZDomain. The ZDomain may apply to the datapack space (axis/axes), or to the values stored in the underlying values of the datapack The zDomain() might not be relevant in a very small minority of the datapacks, like in an F-K spectrum, but it will still be set. Will default to SI().zDomainInfo() if not set.

<>

## Constructor & Destructor Documentation

## ◆ ZDataPack() [1/2]

ZDataPack::ZDataPack | ( | const char * | categry | ) |
| protected

## ◆ ZDataPack() [2/2]

ZDataPack::ZDataPack | ( | const ZDataPack & |  | ) |
| protected

## ◆ ~ZDataPack()

ZDataPack::~ZDataPack | ( |  | ) |
| protected

## Member Function Documentation

## ◆ setZDomain() [1/2]

ZDataPack & ZDataPack::setZDomain | ( | const ZDataPack & |  | ) |

## ◆ setZDomain() [2/2]

virtual ZDataPack & ZDataPack::setZDomain | ( | const ZDomain::Info & |  | ) |
| virtual

Reimplemented in PreStack::Gather, and PreStack::GatherSetDataPack.

## ◆ zDomain() [1/2]

virtual const ZDomain::Info & ZDataPack::zDomain | ( |  | ) | const
| inline virtual

## ◆ zDomain() [2/2]

const ZDomain::Info & ZDataPack::zDomain | ( | bool | display | ) | const
| protected

## ◆ zInFeet()

bool ZDataPack::zInFeet | ( |  | ) | const

## ◆ zInMeter()

bool ZDataPack::zInMeter | ( |  | ) | const

## ◆ zIsTime()

bool ZDataPack::zIsTime | ( |  | ) | const

## ◆ zUnit() [1/2]

const UnitOfMeasure * ZDataPack::zUnit | ( |  | ) | const

## ◆ zUnit() [2/2]

const UnitOfMeasure * ZDataPack::zUnit | ( | bool | display | ) | const
| protected

## Member Data Documentation

## ◆ zdomaininfo_

const ZDomain::Info* ZDataPack::zdomaininfo_
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025